<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
    <appender name="log" class="util.EachLaunchFileAppender">
        <param name="file" value="${user.home}/.cis/logs/common.log" />
        <param name="append" value="false" />
        <param name="encoding" value="Cp1251" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern"
                   value="%d{yyyy/MM/dd HH:mm:ss,SSS} [%t] %-5p %c %x - %m%n" />
        </layout>
    </appender>
	<appender name="console" class="org.apache.log4j.ConsoleAppender">
		<param name="Target" value="System.out" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%p %c: %m%n" />
		</layout>
	</appender>
	<!--Корневой logger -->
	<root>
		<priority value="debug" />
		<appender-ref ref="console" />
	</root>

	<logger name="App">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Tables">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Chart">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="News">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Option">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Sign">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Tickchart">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Ticker">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>
	<logger name="Tree">
		<level value="debug" />
		<appender-ref ref="log" />
	</logger>

</log4j:configuration>